Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.spring
Class ConverterConfig

    java.lang.Object
      org.directwebremoting.spring.ConverterConfig

    public class ConverterConfig

extends java.lang.Object

The configuration for a Converter. It allows the specification of the following optional configuration parameters:

- includes - the list of method names to include
- excludes - the list of method names to exclude
- force - if `true` instructs DWR to use reflection modifiers to access private members of objects

Author:
  Brendan Grainger, Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`ConverterConfig()`

Method Summary
`void` | `addExclude(java.lang.String method)` Convenience method for adding an exclude rule.
`void` | `addInclude(java.lang.String method)` Convenience method for adding an include rule.
`java.util.List` | `getExcludes()` Gets the list of method names to exclude for this creator.
`java.util.List` | `getIncludes()` Gets the list of method names to include for this creator.
`java.lang.String` | `getJavascriptClassName()`
`java.util.Map` | `getParams()` The set of key/value pairs to provide further configuration. Note that these params are only used when setting the creator type and not when setting the creator directly.
`java.lang.String` | `getType()` Gets the converter type.
`boolean` | `isForce()` If true DWR will use reflection modifiers to access private members of objects
`void` | `setExcludes(java.util.List excludes)` Sets the list of method names to exclude for this creator.
`void` | `setForce(boolean force)` Instruct DWR to use reflection modifiers to access private members of objects
`void` | `setIncludes(java.util.List includes)` Sets the list of method names to include for this creator.
`void` | `setJavascriptClassName(java.lang.String javascriptClassName)`
`void` | `setParams(java.util.Map params)` The set of key/value pairs to provide further configuration. Note that these params are only used when setting the creator type and not when setting the creator directly.
`void` | `setType(java.lang.String converterType)` Sets the converter type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterConfig

    public ConverterConfig()

Method Detail

### getType

    public java.lang.String getType()

  Gets the converter type.

  Returns:
    Returns the converter type

### setType

    public void setType(java.lang.String converterType)

  Sets the converter type.

  Parameters:
    `converterType` - Sets the converter type

### getJavascriptClassName

    public java.lang.String getJavascriptClassName()

  Returns:
    the javascriptClassName

### setJavascriptClassName

    public void setJavascriptClassName(java.lang.String javascriptClassName)

  Parameters:
    `javascriptClassName` - the javascriptClassName to set

### isForce

    public boolean isForce()

  If true DWR will use reflection modifiers to access private members of objects

  Returns:
    - Returns whether to use reflection for accessing private members

### setForce

    public void setForce(boolean force)

  Instruct DWR to use reflection modifiers to access private members of objects

  Parameters:
    `force` - - if true DWR will use reflection to access private members of objects

### getIncludes

    public java.util.List getIncludes()

  Gets the list of method names to include for this creator.

  Returns:
    the list of method names to include
  See Also:
    `AccessControl.addIncludeRule(String, String)`

### setIncludes

    public void setIncludes(java.util.List includes)

  Sets the list of method names to include for this creator.

  Parameters:
    `includes` - the list of method names to include
  See Also:
    `AccessControl.addIncludeRule(String, String)`

### getExcludes

    public java.util.List getExcludes()

  Gets the list of method names to exclude for this creator.

  Returns:
    the list of method names to exclude
  See Also:
    `AccessControl.addExcludeRule(String, String)`

### setExcludes

    public void setExcludes(java.util.List excludes)

  Sets the list of method names to exclude for this creator.

  Parameters:
    `excludes` - the list of method names to exclude
  See Also:
    `AccessControl.addExcludeRule(String, String)`

### addInclude

    public void addInclude(java.lang.String method)

  Convenience method for adding an include rule.

  Parameters:
    `method` - the method to add the include rule for
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### addExclude

    public void addExclude(java.lang.String method)

  Convenience method for adding an exclude rule.

  Parameters:
    `method` - the method to add the exclude rule
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### getParams

    public java.util.Map getParams()

  The set of key/value pairs to provide further configuration.
  Note that these params are only used when setting the creator type and not when setting the creator directly.

  Returns:
    Returns the params.

### setParams

    public void setParams(java.util.Map params)

  The set of key/value pairs to provide further configuration.
  Note that these params are only used when setting the creator type and not when setting the creator directly.

  Parameters:
    `params` - The params to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD